Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.binding.meta
Interface VariableDefinition

All Superinterfaces:
  Definition, NamedDefinition

All Known Subinterfaces:
  AccessorDefinition, AttributeDefinition, MethodReturnDefinition, ParameterDefinition

All Known Implementing Classes:
  BaseAttributeDefinition, BaseValueObjectDefinition

public interface VariableDefinition
extends NamedDefinition

This interface is used for holding metadata for a variable.

Field Summary

Fields inherited from interface oracle.binding.meta.Definition
`TYPE_ACCESSOR, TYPE_ATTRIBUTE, TYPE_DATACONTROL, TYPE_DEFINITION, TYPE_DEFINITIONCONTEXT, TYPE_METHODRETURN, TYPE_NAMED, TYPE_OPERATION, TYPE_PARAMETER, TYPE_STRUCTURE, TYPE_VARIABLE`

Method Summary
`DataControlDefinition` | `getDataControlDefinition()` Retrieves the DataControlDefinition that this Variable belongs to.
`java.lang.String` | `getJavaTypeString()` Retrieves the type of the variable.

Methods inherited from interface oracle.binding.meta.NamedDefinition
`getDefinitionParent, getFullName, getName, getProperties, getProperty`

Methods inherited from interface oracle.binding.meta.Definition
`getDefinitionType`

Method Detail

### getJavaTypeString

    public java.lang.String getJavaTypeString()

  Retrieves the type of the variable.
  Returns:
    The fully qualified Java class name of the variable type.

### getDataControlDefinition

    public DataControlDefinition getDataControlDefinition()

  Retrieves the DataControlDefinition that this Variable belongs to.
  Returns:
    The DataControlDefinition that this Variable belongs to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.